OCaml Forge
SCM

Detail: [#1471] Detect ocamldoc.opt and ocamldep.opt

Bugs: Browse | Download .csv | Monitor

[#1471] Detect ocamldoc.opt and ocamldep.opt

Date:
2015-07-11 13:23
Priority:
3
State:
Open
Submitted by:
David Allsopp (metastack)
Assigned to:
Nobody (None)
Hardware:
None
Resolution:
None
Severity:
enhancement
Version:
v1.1
Component:
None
Operating System:
All
Product:
None
 
URL:
Summary:
Detect ocamldoc.opt and ocamldep.opt

Detailed description
OCaml has for supported platforms generated ocamldep.opt since 3.07 and ocamldoc.opt since it was first distributed in 3.05 - this patch allows the automake macros to select them and enjoy the benefit of vastly faster dependency generation!

Followup

Message
Date: 2017-08-09 15:39
Sender: David Allsopp

This patch, along with a few other changes, is now available as a git branch at https://github.com/dra27/ocaml-autoconf/tree/various-improvements

Changes:

Field Old Value Date By
File Added318: 0001-Use-ocamldoc.opt-and-ocamldep.opt-if-available.patch2015-07-11 13:23metastack